Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Upgrading SilverStripe /

Ask questions about upgrading SilverStripe to the latest version.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Upgrade from 3.1.0-beta3 to 3.1.0-rc1: template hierarchy issue?


Reply


3 Posts   646 Views

Avatar
richard-ward

Community Member, 31 Posts

10 September 2013 at 7:35am

Hi,

I have been working on a project not due to be delivered for a few months, so I have been working with the 3.1.0 beta, and now release candidate versions so that I will be up to date when I do deliver. Along with the default install I have the blog, dms and widget addons. Under beta3 I was able to override the WidgetHolder.ss template by placing my own WidgetHolder.ss template in themes/nc/templates/Includes/, however, after upgrading to rc1, this template is no longer used and the default WidgetHolder.ss template from the widget addon is used instead. Has something changed that I need to change to make this work again?

Avatar
Willr

Forum Moderator, 5513 Posts

13 September 2013 at 9:00pm

It should work as per 3.0, I'm not aware of anything that should change that in 3.1 (overriding widget myself but I keep my templates in app/templates/) Widget.ss and WidgetHolder.ss I believe need to go in that root templates folder (i.e not in includes)

Avatar
richard-ward

Community Member, 31 Posts

13 September 2013 at 9:10pm

Hi,

Yes, I should really have put a reply on yesterday - I found that moving my WidgetHolder.ss to the root templates directory rather then in Includes resolved my issue. I was sure I had had it working in Includes, but presumably I didn't!

Many thanks for the reply.